|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Attributes
gameplay::SpriteBatch::SpriteVertex Struct Reference

`#include <SpriteBatch.h>`

List of all members.

## Public Attributes

float | x
float | y
float | z
float | u
float | v
float | r
float | g
float | b
float | a

## Detailed Description

Sprite vertex structure used for batching.

## Member Data Documentation

float gameplay::SpriteBatch::SpriteVertex::a

Vertex color alpha component

float gameplay::SpriteBatch::SpriteVertex::b

Vertex color blue component

float gameplay::SpriteBatch::SpriteVertex::g

Vertex color green component

float gameplay::SpriteBatch::SpriteVertex::r

Vertex color red component

float gameplay::SpriteBatch::SpriteVertex::u

Vertex texture u

float gameplay::SpriteBatch::SpriteVertex::v

Vertex texture v

float gameplay::SpriteBatch::SpriteVertex::x

Vertex position x

float gameplay::SpriteBatch::SpriteVertex::y

Vertex position y

float gameplay::SpriteBatch::SpriteVertex::z

Vertex position z

All Classes Functions Variables Typedefs Enumerations Enumerator